package com.vctgo.system.service;

import com.vctgo.system.api.domain.SysUser;

import java.util.Set;

 public interface ISysPermissionService
{
    /**
     * 获取角色数据权限
     *
     * @param user 用户Id
     * @return 角色权限信息
     */
    Set<String> getRolePermission(SysUser user);

    /**
     * 获取菜单数据权限
     *
     * @param user 用户Id
     * @return 菜单权限信息
     */
    Set<String> getMenuPermission(SysUser user);

    /**
     * 考虑集团租户场景下--多租户多角色获取菜单数据权限
     *
     * @param user 用户Id
     * @return 菜单权限信息
     */
    Set<String> getMenuPermissionByMultiTenant(SysUser user);
}
